VERSION 1.0 CLASS
BEGIN
  MultiUse = 0   'False
END
Attribute VB_Name = "EXESingleUse"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
' Guide to the Perplexed
' Single use executable example
' Copyright (c) 1997 by Desaware Inc. All Rights Reserved

Option Explicit

Private Declare Function GetCurrentProcessId Lib "Kernel32" () As Long

Public Sub Message()
   MsgBox "Accessed EXESingle use in process " & Hex$(GetCurrentProcessId())
End Sub

' Create a new instance of the object and return it
Public Function GetNewObject() As EXESingleUse
   Dim newobj As New EXESingleUse
   Set GetNewObject = newobj
End Function
